<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetVaultViews Method (IEdmVault8)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault8 Interface : GetVaultViews Method (IEdmVault8)

Visual Basic
C#
C++/CLI

ppoRetViews
  Array of EdmViewInfo structures; one structure for each view

bOnlyLoggedIn
  True to get views in which you are currently logged, false to get all views

Gets all of the views set up on this vault.

# Syntax

Visual Basic |
--- | ---

    Sub GetVaultViews( _
       ByRef ppoRetViews() As EdmViewInfo, _
       ByVal bOnlyLoggedIn As System.Boolean _
    )

C# |
--- | ---

    void GetVaultViews(
       out EdmViewInfo[] ppoRetViews,
       System.bool bOnlyLoggedIn
    )

C++/CLI |
--- | ---

    void GetVaultViews(
    &   [Out] array<EdmViewInfo>^ ppoRetViews,
    &   System.bool bOnlyLoggedIn
    )

#### Parameters

ppoRetViews
  Array of EdmViewInfo structures; one structure for each view
bOnlyLoggedIn
  True to get views in which you are currently logged, false to get all views

# Example

See the IEdmVault8 examples.

# Remarks

You do not have to call IEdmVault5::Login or IEdmVault5::LoginAuto before calling this method.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVault8 Interface
IEdmVault8 Members

# Availability

SOLIDWORKS PDM Professional Version 6.4